<app-loading *ngIf="isLoading"></app-loading>
<div class="table-config">
  <mb-table-wrap>
    <mb-table
      (changePageNum)='doSearchTable($event)'
      [tableConfig]='tableConfig'
      [tableData]='searchResult'
    ></mb-table>
  </mb-table-wrap>
</div>

<ng-template #selectTmpl let-dataType='dataType' let-flagStatus='flagStatus' let-dataId='dataId' let-isRanking='isRanking'
            >
  <input type="checkbox"
         [disabled]="isRanking"
         [value]="dataId"
         [checked]="listRegisterId.indexOf(dataId) > -1"
         (change)="onCheckChange($event, flagStatus, dataId, dataType)"
  >
</ng-template>
